Get needs templates by product

This endpoint returns the needs templates that have been applied to a product or section within a period not exceeding 31 days.

GET /api/v1/businesses/{businessId}/products/{productId}/needs-templates?fromDate={yyyy-MM-dd}&toDate={yyyy-MM-dd}

If the data included in the URL is correct, the response will contain the needs templates applied to the product or section for each of the days specified in the request interval.

Response example

[
    {
        "productId": "0001-GENERAL",
        "date": "2026/08/31",
        "id": "17537",
        "templateName": "Summer"
    },
    {
        "productId": "0001-GENERAL",
        "date": "2026/09/01",
        "id": "17536",
        "templateName": "General"
    }
]
Details
  • productId: external identifier of the product or section.

  • date: the date to which the needs template applies, in yyyy/MM/dd format.

  • id: internal identifier of the template in Orquest.

  • templateName: name configured in the system for the template.

As shown in the example, the request returns the needs template information applied on each day of the query interval.

Error codes

In addition to the common errors, this endpoint can return the following codes:

Code Message Description

400 Bad Request

Invalid days period

The interval specified between fromDate and toDate exceeds 31 days, or toDate is earlier than fromDate. It is recommended to adjust the date range of the query.

404 Not Found

Needs Template on requested dates

The product service does not have schedules (ServiceTimes) configured for the specified interval.

There is not needs template on the requested information

There is no needs template applied for the specified interval.

What are needs?

What are needs templates?